Skip to main content

List tracks

Every track, flat. The only way to answer "do we have this song?" without knowing its artist

GET /catalog/tracks

note

SDK method: listTracks Security: authenticated (policy: platform.view)

Attributes​

Attributes (10)
AttributeTypeRequiredDescription
totalnumberYesThe total number of items
analyzerstringNoOnly records this analysis plugin measured, or tried to and failed. The selector for measuring a detector's records again
measureFailureMeasureFailureNoOnly records whose measurement failed this way
pagenumberNoThe page number
pageSizenumberNoThe page size
searchstringNo
sort'asc' | 'desc'NoThe sort order
sortByCatalogSortNo
sortByTrackSortNo
stateTrackStateNo

Response​

200 OK — Returns a TrackPage object.